set terminal pdfcairo enhanced color size 4,4 fontscale 0.5\
    font 'Arial,14' linewidth 1 dl 2
    
set key font ',12'


set ylabel offset 1
set xlabel offset 0,0.5

set lmargin 9
set rmargin 9
set tmargin 3
set bmargin 6

a = 1

set style line 1 lw 2 ps 0.75 pt 2 lc rgb '#1B9E77' # dark teal
set style line 2 dashtype (2,2) lw 2 ps 0.75 pt 4 lc rgb '#D95F02' # dark orange
set style line 3 dashtype (4,2) lw 2 ps 0.75 pt 6 lc rgb '#7570B3' # dark lilac
set style line 4 dashtype (6,2) lw 2 ps 0.75 pt 8 lc rgb '#E7298A' # dark magenta
set style line 5 dashtype 5 lw 2 ps 0.75 pt 10 lc rgb '#66A61E' # dark lime green
set style line 6 dashtype 6 lw 2 ps 0.75 pt 2 lc rgb '#E6AB02' # dark banana
set style line 7 dashtype 7 lw 2 ps 0.75 pt 3 lc rgb '#A6761D' # dark tan
set style line 8 dashtype 8 lw 2 ps 0.75 pt 5 lc rgb '#666666' # dark gray
set style line 9 dashtype 9 lw 2 ps 0.75 pt 7 lc rgb "#cab2d6"
set style line 10 dashtype 10 lw 2 ps 0.75 pt 9 lc rgb "#6a3d9a"
set style line 11 dashtype 11 lw 2 ps 0.75 pt 11 lc rgb "#222222"
set style line 12 dashtype 12 lw 2 ps 0.75 pt 13 lc rgb "#b15928"
set style line 13 dashtype 1 lw 2 ps 0.75 pt 13 lc rgb "#ffffff"

set output "PAPER 181218 Initial moduli data and composite theory.pdf"

set xtics 15
set xrange [-5:95]
set yrange [0:25]
set xlabel "Initial director angle [{\260}]"
set ylabel "Elastic modulus [MPa]"

set samples 1000
a=4
set angles degrees


g(x) = m*x**4+n*x**3+o*x**2+p*x+q

fit g(x) "Final moduli some removed.txt" u 1:2 via m,n,o,p,q

h(x,E2,E1,G) = ((1/E1)*(cos(x))**4+(1/E2)*(sin(x))**4+(1/(4*G))*(sin(2*x))**2)**(-1.0)
ha(x,E2a,E1a,k) = ((1/E1a)*(cos(x))**4+(1/E2a)*(sin(x))**4+(1/(4*k))*(sin(2*x))**2)**(-1.0)

fit ha(x,5.3,E1a,k) "Final moduli.txt" u 1:2 via E1a,k

plot "Final moduli.txt" u 1:2:4 w yerrorbars ls 1 pt 4 dashtype 1 title "Experimental data",\
	ha(x,5.3,E1a,k) ls 2 dashtype 1 title "Anisotropic elasticity model fit",\
	g(x) ls 5 dashtype 2 title "4th order polynomial fit",\


#pause -1

# 	h(x,5.3,17,1) ls 2 dashtype 1 title "G=1 MPa",\
#	h(x,5.3,17,5.3/3) ls 3 dashtype 1 title "G=5.3/3 MPa",\
# 	h(x,5.3,17,17/3) ls 4 dashtype 1 title "G=17/3 MPa",\
#    (E2(x)/E2(90)) ls 6 title "Empirical model",\
#    f(x,9.3,a)+2.4 ls 4 title "r=9.3 shifted",\
#    g(x) ls 2 title "4th order polynomial fit",\
#    E(x,(17.2/E_perp),1) ls 1 title "Typical anisotropic property model",\
#    f(x,1.0,a) ls 3 title "Gaussian theory model, r=1",\
#    f(x,3.8,a) ls 4 title "r=3.8",\
#    f(x,9.3,a) ls 5 title "r=9.3",\
    
#plot "Final moduli.txt" u 1:2 ls 2 notitle

    
